Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 2399)
@@ -719,6 +719,6 @@
    ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE_LOBSTER/EXP00/namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/GYRE_LOBSTER/EXP00/namelist	(revision 2399)
@@ -719,6 +719,7 @@
    ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   ln_ptrcomp = .false.    !  Add decomposition : overturning
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist	(revision 2399)
@@ -727,6 +727,7 @@
    ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   ln_ptrcomp = .false.    !  Add decomposition : overturning
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 2399)
@@ -765,6 +765,6 @@
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
    ln_ptrcomp = .true.     !  Add decomposition : overturning
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/cpp_ORCA2_LIM.fcm
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/cpp_ORCA2_LIM.fcm	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM/cpp_ORCA2_LIM.fcm	(revision 2399)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys  key_trabbl key_vectopt_loop key_orca_r2 key_lim2 key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_tradmp key_zdftke key_zdfddm key_iomput key_nproci=1 key_nprocj=1
+ bld::tool::fppkeys  key_trabbl key_vectopt_loop  key_dynspg_flt key_diaeiv key_ldfslp key_traldf_c2d key_traldf_eiv key_dynldf_c3d key_dtatem key_dtasal key_tradmp key_zdftke key_zdfddm key_iomput key_nproci=1 key_nprocj=1 
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 2399)
@@ -765,6 +765,6 @@
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
    ln_ptrcomp = .true.     !  Add decomposition : overturning
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 2399)
@@ -749,11 +749,11 @@
 &namptr       !   Poleward Transport Diagnostic
 !-----------------------------------------------------------------------
-   ln_diaptr  = .false.     !  Poleward heat and salt transport (T) or not (F)
-   ln_diaznl  = .true.     !  Add zonal means and meridional stream functions
-   ln_subbas  = .true.     !  Atlantic/Pacific/Indian basins computation (T) or not 
+   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
+   ln_diaznl  = .false.    !  Add zonal means and meridional stream functions
+   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   ln_ptrcomp = .true.     !  Add decomposition : overturning
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   ln_ptrcomp = .false.    !  Add decomposition : overturning
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/POMME/EXP00/namelist
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 2399)
@@ -760,6 +760,7 @@
    ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   nf_ptr     =  1         !  Frequency of ptr computation [time step]
-   nf_ptr_wri =  15        !  Frequency of ptr outputs
+   ln_ptrcomp = .false.    !  Add decomposition : overturning
+   nn_fptr    =  1         !  Frequency of ptr computation [time step]
+   nn_fwri    =  15        !  Frequency of ptr outputs [time step]
 /
 !-----------------------------------------------------------------------
Index: /branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/ASM/asmtrj.F90
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/ASM/asmtrj.F90	(revision 2398)
+++ /branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/ASM/asmtrj.F90	(revision 2399)
@@ -2,7 +2,17 @@
    !!======================================================================
    !!                       ***  MODULE asmtrj  ***
-   !! Assimilation trajectory interface: Write to file the background state
-   !!                                    and the model state trajectory
+   !! Assimilation trajectory interface: Write to file the background state and the model state trajectory
    !!======================================================================
+   !! History :       ! 2007-03 (M. Martin)  Met. Office version
+   !!                 ! 2007-04 (A. Weaver)  asm_trj_wri, original code
+   !!                 ! 2007-03 (K. Mogensen)  Adapt to NEMOVAR and use IOM instead of IOIPSL
+   !!                 ! 2007-04 (A. Weaver)  Name change (formally asmbkg.F90). Distinguish
+   !!                                        background states in Jb term and at analysis time.
+   !!                                        Include state trajectory routine (currently empty)
+   !!                 ! 2007-07 (A. Weaver)  Add tke_rst and flt_rst for case nitbkg=0 
+   !!                 ! 2009-03 (F. Vigilant)  Add hmlp (zdfmxl) for no tracer nmldp=2 
+   !!                 ! 2009-06 (F. Vigilant) asm_trj_wri: special case when kt=nit000-1
+   !!                 ! 2009-07 (F. Vigilant) asm_trj_wri: add computation of eiv at restart
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -12,5 +22,4 @@
    !!   asm_trj_wri  : Write out the model state trajectory (used with 4D-Var)
    !!----------------------------------------------------------------------
-   !! * Modules used   
    USE oce                ! Dynamics and active tracers defined in memory
    USE sbc_oce            ! Ocean surface boundary conditions
@@ -20,5 +29,4 @@
    USE ldfslp             ! Slopes of neutral surfaces
    USE tradmp             ! Tracer damping
-
 #if defined key_zdftke
    USE zdftke             ! TKE vertical physics
@@ -26,37 +34,29 @@
    USE eosbn2             ! Equation of state (eos_bn2 routine)
    USE zdfmxl             ! Mixed layer depth
-   USE sol_oce, ONLY : &  ! Solver variables defined in memory
-      & gcx
-   USE in_out_manager, ONLY : &  ! I/O manager
-      & lwp,     &
-      & numout
-   USE dom_oce, ONLY : &
-      & ndastp
-   USE iom                 ! I/O module
-   USE asmpar              ! Parameters for the assmilation interface
-   USE zdfmxl, ONLY : &   ! mixed layer depth
-      & hmlp
+   USE dom_oce, ONLY :   ndastp
+   USE sol_oce, ONLY :   gcx   ! Solver variables defined in memory
+   USE in_out_manager     ! I/O manager
+   USE iom                ! I/O module
+   USE asmpar             ! Parameters for the assmilation interface
+   USE zdfmxl             ! mixed layer depth
 #if defined key_traldf_c2d
-   USE ldfeiv          ! eddy induced velocity coef.      (ldf_eiv routine)
+   USE ldfeiv             ! eddy induced velocity coef.      (ldf_eiv routine)
 #endif
 
    IMPLICIT NONE
-
-   !! * Routine accessibility
    PRIVATE
-   PUBLIC asm_bkg_wri, &  !: Write out the background state
-      &   asm_trj_wri     !: Write out the background state
+   
+   PUBLIC   asm_bkg_wri   !: Write out the background state
+   PUBLIC   asm_trj_wri   !: Write out the background state
 
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
    SUBROUTINE asm_bkg_wri( kt )
       !!-----------------------------------------------------------------------
-      !!
       !!                  ***  ROUTINE asm_bkg_wri ***
       !!
@@ -68,22 +68,7 @@
       !!              in the cost function and for use with direct initialization
       !!              at analysis time.
-      !!
-      !! ** Action  :
-      !!                   
-      !! References : 
-      !!
-      !! History :
-      !!        ! 07-03 (M. Martin) Met. Office version
-      !!        ! 07-03 (K. Mogensen) Adapt to NEMOVAR and use IOM instead of IOIPSL
-      !!        ! 07-04 (A. Weaver) Name change (formally asmbkg.F90). Distinguish
-      !!                            background states in Jb term and at analysis time.
-      !!                            Include state trajectory routine (currently empty)
-      !!        ! 07-07 (A. Weaver) Add tke_rst and flt_rst for case nitbkg=0 
-      !!-----------------------------------------------------------------------
-
-      !! * Arguments
+      !!-----------------------------------------------------------------------
       INTEGER, INTENT( IN ) :: kt               ! Current time-step
-
-      !! * Local declarations
+      !
       CHARACTER (LEN=50) :: cl_asmbkg
       CHARACTER (LEN=50) :: cl_asmdin
@@ -91,36 +76,33 @@
       INTEGER :: inum          ! File unit number
       REAL(wp) :: zdate        ! Date
-
-      !--------------------------------------------------------------------
-      ! Write out background at time step nitbkg_r or nitdin_r
-      !--------------------------------------------------------------------
-
-      IF ( kt == nitbkg_r ) THEN
-
+      !!-----------------------------------------------------------------------
+
+      !                                !-------------------------------------------
+      IF( kt == nitbkg_r ) THEN        ! Write out background at time step nitbkg_r
+         !                             !-----------------------------------========
+         !
          WRITE(cl_asmbkg, FMT='(A,".nc")' ) TRIM( c_asmbkg )
          cl_asmbkg = TRIM( cl_asmbkg )
-
          INQUIRE( FILE = cl_asmbkg, EXIST = llok )
-
+         !
          IF( .NOT. llok ) THEN
-            IF(lwp) WRITE(numout,*) ' Setting up assimilation background file '// &
-               &                    TRIM( c_asmbkg )
-
-            ! Define the output file        
+            IF(lwp) WRITE(numout,*) ' Setting up assimilation background file '// TRIM( c_asmbkg )
+            !
+            !                                      ! Define the output file        
             CALL iom_open( c_asmbkg, inum, ldwrt = .TRUE., kiolib = jprstlib)
-
-            ! Treat special case when nitbkg = 0
-            IF ( nitbkg_r == nit000 - 1 ) THEN
-               zdate = REAL( ndastp )
-#if defined key_zdftke
+            !
+            IF( nitbkg_r == nit000 - 1 ) THEN      ! Treat special case when nitbkg = 0
+               zdate = REAL( ndastp )
+#if defined key_zdftke
+               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
                IF(lwp) WRITE(numout,*) ' Reading TKE (en) from restart...'
-               ! Read turbulent kinetic energy ( en )
-               CALL tke_rst( nit000, 'READ' )
+               CALL tke_rst( nit000, 'READ' )               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
+
 #endif
             ELSE
                zdate = REAL( ndastp )
             ENDIF
-
-            ! Write the information
+            !
+            !                                      ! Write the information
             CALL iom_rstput( kt, nitbkg_r, inum, 'rdastp' , zdate   )
             CALL iom_rstput( kt, nitbkg_r, inum, 'un'     , un      )
@@ -133,33 +115,32 @@
 #endif
             CALL iom_rstput( kt, nitbkg_r, inum, 'gcx'    , gcx     )
-
+            !
             CALL iom_close( inum )
-
          ENDIF
-
+         !
       ENDIF
 
-      IF ( kt == nitdin_r ) THEN
-
+      !                                !-------------------------------------------
+      IF( kt == nitdin_r ) THEN        ! Write out background at time step nitdin_r
+         !                             !-----------------------------------========
+         !
          WRITE(cl_asmdin, FMT='(A,".nc")' ) TRIM( c_asmdin )
          cl_asmdin = TRIM( cl_asmdin )
-
          INQUIRE( FILE = cl_asmdin, EXIST = llok )
-
+         !
          IF( .NOT. llok ) THEN
-            IF(lwp) WRITE(numout,*) ' Setting up assimilation background file '// &
-               &                    TRIM( c_asmdin )
-
-            ! Define the output file        
+            IF(lwp) WRITE(numout,*) ' Setting up assimilation background file '// TRIM( c_asmdin )
+            !
+            !                                      ! Define the output file        
             CALL iom_open( c_asmdin, inum, ldwrt = .TRUE., kiolib = jprstlib)
-
-            ! Treat special case when nitbkg = 0
-            IF ( nitdin_r == nit000 - 1) THEN
+            !
+            IF( nitdin_r == nit000 - 1 ) THEN      ! Treat special case when nitbkg = 0
+
                zdate = REAL( ndastp )
             ELSE
                zdate = REAL( ndastp )
             ENDIF
-
-            ! Write the information
+            !
+            !                                      ! Write the information
             CALL iom_rstput( kt, nitdin_r, inum, 'rdastp' , zdate   )
             CALL iom_rstput( kt, nitdin_r, inum, 'un'     , un      )
@@ -168,51 +149,34 @@
             CALL iom_rstput( kt, nitdin_r, inum, 'sn'     , sn      )
             CALL iom_rstput( kt, nitdin_r, inum, 'sshn'   , sshn    )
-
+            !
             CALL iom_close( inum )
-
          ENDIF
-
+         !
       ENDIF
-                                  
+      !                    
    END SUBROUTINE asm_bkg_wri
 
+
    SUBROUTINE asm_trj_wri( kt )
       !!-----------------------------------------------------------------------
-      !!
       !!                  ***  ROUTINE asm_trj_wri ***
       !!
-      !! ** Purpose : Write to file the model state trajectory for use with
-      !!              4D-Var.
-      !!
-      !! ** Method  : 
-      !!
-      !! ** Action  :
-      !!                   
-      !! References : 
-      !!
-      !! History :
-      !!        ! 07-04 (A. Weaver) 
-      !!        ! 09-03 (F. Vigilant) Add hmlp (zdfmxl) for no tracer nmldp=2 
-      !!        ! 09-06 (F. Vigilant) special case when kt=nit000-1
-      !!        ! 09-07 (F. Vigilant) add computation of eiv at restart
-      !!-----------------------------------------------------------------------
-
-      !! * Arguments
+      !! ** Purpose :   Write to file the model state trajectory for use with 4D-Var.
+      !!-----------------------------------------------------------------------
       INTEGER, INTENT( IN ) :: kt             ! Current time-step
-
-      !! * Local declarations
+      !
       INTEGER :: inum                  ! File unit number
       INTEGER :: it
       CHARACTER (LEN=50) :: cl_asmtrj
       REAL(wp) :: zdate            ! Date
+      !!-----------------------------------------------------------------------
 
       !------------------------------------------------------------------------
       ! Write a single file for each trajectory time step
       !------------------------------------------------------------------------
-      IF ( ( MOD( kt - nit000 + 1, nittrjfrq ) == 0 ) .OR. &
-         & ( kt == nitend ) ) THEN
+      IF( ( MOD( kt - nit000 + 1, nittrjfrq ) == 0 ) .OR. ( kt == nitend ) ) THEN
          
-         ! Treat special case when kt = nit000-1
-         IF ( kt == nit000 - 1 ) THEN
+         IF( kt == nit000 - 1 ) THEN         ! Treat special case when kt = nit000-1
+            !
 #if defined key_zdftke
             IF(lwp) WRITE(numout,*) ' Computing  zdf_tke coeff. form restart...'
@@ -238,15 +202,14 @@
             IF( lk_traldf_eiv )   CALL ldf_eiv( nit000 )
 #endif
-          ENDIF
-
-
+         ENDIF
+         !
          it = kt - nit000 + 1
-
-         ! Define the output file        
+         !
+         !                                   ! Define the output file        
          WRITE(cl_asmtrj, FMT='(A,A,I5.5)' ) TRIM( c_asmtrj ), '_', it
          cl_asmtrj = TRIM( cl_asmtrj )
          CALL iom_open( cl_asmtrj, inum, ldwrt = .TRUE., kiolib = jprstlib)
-
-         ! Output trajectory fields
+         !
+         !                                   ! Output trajectory fields
          CALL iom_rstput( it, it, inum, 'emp'   , emp    )
          CALL iom_rstput( it, it, inum, 'emps'  , emps   )
@@ -278,10 +241,10 @@
          CALL iom_rstput( it, it, inum, 'aeiv'  , aeiv   )
          CALL iom_rstput( it, it, inum, 'aeiw'  , aeiw   )
-
+         !
          CALL iom_close( inum )
-         
       ENDIF
-
+      !
    END SUBROUTINE asm_trj_wri
 
+   !!======================================================================
 END MODULE asmtrj
